import { jsx } from "react/jsx-runtime";
import { BookBookmark as BookBookmark$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const BookBookmark = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "BookBookmark", ...props, children: /* @__PURE__ */ jsx(BookBookmark$1, { weight: variant }) });
  }
);
BookBookmark.displayName = "BookBookmark";
Object.assign(BookBookmark, { isGdsIcon: true });
export {
  BookBookmark
};
